# Vaultwarden
[Vaultwarden][vaultwarden_github] is rust based server implmentation of [Bitwarden][bitwarden_github].  
One of the core reasons why we went with Vaultwarden over the original Bitwarden is that it gives us access to Org Mode.  
This allows us to have an organisation with multiple members with access to passwords, as well as controlling their access.

Additionally we are using [Bitwarden Directory Connector][bitwarden-dc_github] to sync our ldap groups to vaultwarden.  
This is how Admins and Committee can access the password manager.    
it also removes folks access once they no longer meet the requirements (be committee or admin).  

Vaultwarden is not available for regular Skynet users since we do not want teh responsibility of managing their passwords, since the cost of failing is so high (for us)

The instance is available at [``pw.skynet.ie``][pw].

## Adding Users
When a committee member gets [added](committee_modify.mddding) they will become of teh committee LDAP group.  
When this group is synced with Vaultwarden then that member will get an email to their Skynet account to ``Join UL Computer Society``.

The member should then click on teh link in that email.  
They will then have to choose a password to access the password manager, the password tied to their Skynet account does nto sync for security reasons.

The user will then need to be confirmed in the [organisation panel][pw_org].  
Once that is complete they will have access to Computer Societies AND/OR Skynet's passwords, depending if they are committee or a Skynet admin.'


## Resending Invites
If the user does not accept the invite within a day or so the invite will expire.  

In the [organisation panel][pw_org], to the far right of teh user there is a ``⋮``.   
Selecting it will give an option to resend the invite.


[vaultwarden_github]: https://github.com/dani-garcia/vaultwarden
[bitwarden_github]: https://github.com/bitwarden/server
[bitwarden-dc_github]: https://github.com/bitwarden/directory-connector
[pw]: https://pw.skynet.ie/
[pw_org]: https://pw.skynet.ie/#/organizations/ca0eacc2-988f-4368-b85f-40061eefd453/members