# Email

Skynet offers an email to all members.  
It is ``username@skynet.ie``

## Login 
### Roundcube
#### <https://mail.skynet.ie>
Use your Skynet ``username@skynet.ie`` and ``password`` to login.

### Nextcloud
#### <https://nextcloud.skynet.ie/apps/mail/>
Our [Nextcloud instance](./nextcloud.md) has an inbuilt mail module.  
See [Nextcloud](./nextcloud.md) page for more info on logging in.  

### Thunderbird
#### <https://www.thunderbird.net>
Thunderbird is an email client made by Mozilla.  
Honestly it is one of the best email clients out there.

They are working on exchange (Outlook/Office 365) support so ye will be able to use it for your UL email.  
This work is being done with Rust.

Use your Skynet ``username@skynet.ie`` and ``password`` to login.

### IMAP / SMTP settings

Use your full Skynet email ``username@skynet.ie`` and ``password``.

#### SMTP
Server: ``mail.skynet.ie``
Port: ``993``
Authentication Method: ``Normal Password``
Connection Security: ``SSL/TLS``

#### IMAP
Server: ``mail.skynet.ie``
Port: ``465``
Authentication Method: ``Normal Password``
Connection Security: ``SSL/TLS``

## Sieve Scripts
Sieve scripts allow you to sort and manage yer email in a programmatic way.

Recommended tool: <https://github.com/thsmi/sieve>  

* Download and open the tool.
* Enter settings for skynet.
    - Hostname: ``mail.skynet.ie``
    - Port: ``4190``
    - Username: ``username@skynet.ie``
* Hit Create.
* Hit Connect and enter your ``password``.

### ``.forwards`` replacement
Since we no longer support ``.forwards`` this is the sieve script counterpart.  
It copies all incoming mail to the target address.  

* Continuing from above
* Hit Create new script, enter a name and press edit.
* Enter code below. (You may also use the gui drag and drop builder to create the script)
```sieve
require "copy";

redirect :copy "sending_mail_to@example.ie";
```
* Save the script.
* Go back to the home tab and press activate on your newly created script. This will enable the forwarding

### Committee/Admins
There is an inbuilt sieve script that passes mail from committee/admin addresses into a folder in their Skynet inbox.  
